package Task::Map::Tube;

$Task::Map::Tube::VERSION   = '0.01';
$Task::Map::Tube::AUTHORITY = 'cpan:MANWAR';

use 5.006;
use strict; use warnings;

=head1 NAME

Task::Map::Tube - Bundles Map::Tube::* map packages.

=head1 VERSION

Version 0.01

=head1 DESCRIPTION

It complements package L<Map::Tube> and installs  all the supported maps.

=head1 SYNOPSIS

    cpanm Task::Map::Tube

=head1 AUTHOR

Mohammad Sajid Anwar, C<< <mohammad.anwar at yahoo.com> >>

=head1 REPOSITORY

L<https://github.com/manwar/Task-Map-Tube>

=head1 SEE ALSO

=over 4

=item L<Map::Tube::Athens>

=item L<Map::Tube::Barcelona>

=item L<Map::Tube::Beijing>

=item L<Map::Tube::Berlin>

=item L<Map::Tube::Bielefeld>

=item L<Map::Tube::Bucharest>

=item L<Map::Tube::Budapest>

=item L<Map::Tube::Copenhagen>

=item L<Map::Tube::Delhi>

=item L<Map::Tube::Dnipropetrovsk>

=item L<Map::Tube::Frankfurt>

=item L<Map::Tube::Glasgow>

=item L<Map::Tube::Hongkong>

=item L<Map::Tube::Kazan>

=item L<Map::Tube::Kharkiv>

=item L<Map::Tube::Kiev>

=item L<Map::Tube::KoelnBonn>

=item L<Map::Tube::Kolkatta>

=item L<Map::Tube:: KualaLumpur>

=item L<Map::Tube::London>

=item L<Map::Tube::Lyon>

=item L<Map::Tube::Madrid>

=item L<Map::Tube::Malaga>

=item L<Map::Tube::Milan>

=item L<Map::Tube::Minsk>

=item L<Map::Tube::Moscow>

=item L<Map::Tube::Nuremberg>

=item L<Map::Tube::NYC>

=item L<Map::Tube::Nanjing>

=item L<Map::Tube::NizhnyNovgorod>

=item L<Map::Tube::Novosibirsk>

=item L<Map::Tube::Prague>

=item L<Map::Tube::SaintPetersburg>

=item L<Map::Tube::Samara>

=item L<Map::Tube::Singapore>

=item L<Map::Tube::Sofia>

=item L<Map::Tube::Tbilisi>

=item L<Map::Tube::Tokyo>

=item L<Map::Tube::Vienna>

=item L<Map::Tube::Warsaw>

=item L<Map::Tube::Yekaterinburg>

=back

=head1 BUGS

Please report any bugs or feature requests through the web interface at L<https://github.com/manwar/Task-Map-Tube/issues>.
I will  be notified and then you'll automatically be notified of progress on your
bug as I make changes.

=head1 SUPPORT

You can find documentation for this module with the perldoc command.

    perldoc Task::Map::Tube

You can also look for information at:

=over 4

=item * BUG Report

L<https://github.com/manwar/Task-Map-Tube/issues>

=item * CPAN Ratings

L<http://cpanratings.perl.org/d/Task-Map-Tube>

=item * Search MetaCPAN

L<https://metacpan.org/dist/Task-Map-Tube/>

=back

=head1 LICENSE AND COPYRIGHT

Copyright (C) 2024 Mohammad Sajid Anwar.

This program  is  free software; you can redistribute it and / or modify it under
the  terms  of the the Artistic License (2.0). You may obtain  a copy of the full
license at:

L<http://www.perlfoundation.org/artistic_license_2_0>

Any  use,  modification, and distribution of the Standard or Modified Versions is
governed by this Artistic License.By using, modifying or distributing the Package,
you accept this license. Do not use, modify, or distribute the Package, if you do
not accept this license.

If your Modified Version has been derived from a Modified Version made by someone
other than you,you are nevertheless required to ensure that your Modified Version
 complies with the requirements of this license.

This  license  does  not grant you the right to use any trademark,  service mark,
tradename, or logo of the Copyright Holder.

This license includes the non-exclusive, worldwide, free-of-charge patent license
to make,  have made, use,  offer to sell, sell, import and otherwise transfer the
Package with respect to any patent claims licensable by the Copyright Holder that
are  necessarily  infringed  by  the  Package. If you institute patent litigation
(including  a  cross-claim  or  counterclaim) against any party alleging that the
Package constitutes direct or contributory patent infringement,then this Artistic
License to you shall terminate on the date that such litigation is filed.

Disclaimer  of  Warranty:  THE  PACKAGE  IS  PROVIDED BY THE COPYRIGHT HOLDER AND
CONTRIBUTORS  "AS IS'  AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES. THE IMPLIED
WARRANTIES    OF   MERCHANTABILITY,   FITNESS   FOR   A   PARTICULAR  PURPOSE, OR
NON-INFRINGEMENT ARE DISCLAIMED TO THE EXTENT PERMITTED BY YOUR LOCAL LAW. UNLESS
REQUIRED BY LAW, NO COPYRIGHT HOLDER OR CONTRIBUTOR WILL BE LIABLE FOR ANY DIRECT,
INDIRECT, INCIDENTAL,  OR CONSEQUENTIAL DAMAGES ARISING IN ANY WAY OUT OF THE USE
OF THE PACKAGE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

=cut

1; # End of Task::Map::Tube
